<template>
  <div>
    <hero-section
      :title="`${plant.category.icon ?? ''} ${plant.category.name} > ${plant.name}`"
    >
      <template
        v-if="plant.category.summary"
        #subtitle
      >
        <!-- eslint-disable-next-line vue/no-v-html -->
        <div v-html="plant.category.summary" />
      </template>
    </hero-section>
    <section class="container">
      <head-breadcrumb
        :items="[
          { text: $t('plants_title'), to: localePath({ name: 'plant' }) },
          { text: plant.category.name, to: localePath({ name: 'plant-category', params: { category: plant.category.id } }) },
          { text: plant.name, to: localePath({ name: 'plant-category-plant', params: { category: plant.category.id, plant: plant.id } }) },
        ]"
      />
      <main class="content">
        <div class="columns">
          <div class="column is-three-quarters-desktop">
            <article class="notification is-info is-light">
              <p class="title">
                {{ $t('information') }}
              </p>
              <div
                v-if="plant.summary"
                class="content"
              >
                <!-- eslint-disable-next-line vue/no-v-html -->
                <div v-html="plant.summary" />
              </div>
              <div
                v-if="plant.advice"
                class="content"
              >
                <!-- eslint-disable-next-line vue/no-v-html -->
                <div v-html="plant.advice" />
              </div>
            </article>
            <article
              v-if="plant.feedbacks?.length"
              class="notification is-link is-light"
            >
              <p class="title">
                {{ $t('feedbacks') }}
              </p>
              <div
                v-for="{ year, feedback } in plant.feedbacks"
                :key="year"
                class="content"
              >
                <div class="subtitle">
                  {{ year }}
                </div>
                <template v-if="feedback">
                  <!-- eslint-disable-next-line vue/no-v-html -->
                  <div v-html="feedback" />
                </template>
              </div>
            </article>
          </div>
          <div class="column">
            <article class="notification is-success">
              <div class="title">
                {{ $t('characteristics') }}
              </div>
              <div class="content">
                <div class="field is-grouped is-grouped-multiline">
                  <div
                    v-for="[kind, level] in plant.needs"
                    :key="kind"
                    class="control"
                  >
                    <div class="tags has-addons">
                      <span class="tag is-dark">
                        <template v-if="kind === 'watering'">💧</template>
                        <template v-else-if="kind === 'light'">☀️</template>
                        <template v-else>{{ kind }}</template>
                      </span>
                      <span
                        class="tag"
                        :class="{ 'is-info': kind === 'watering', 'is-warning': kind === 'light' }"
                      >
                        <template v-if="level === 'low'">{{ $t('low') }}</template>
                        <template v-else-if="level === 'medium'">{{ $t('medium') }}</template>
                        <template v-else-if="level === 'high'">{{ $t('high') }}</template>
                        <template v-else>{{ level }}</template>
                      </span>
                    </div>
                  </div>
                </div>
                <table>
                  <tbody>
                    <tr>
                      <th>{{ $t('average_weight') }}</th>
                      <td>{{ plant.average_weight }} gr</td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </article>
          </div>
        </div>
      </main>
    </section>
  </div>
</template>

<script setup>
import { useLocalePath } from '#i18n'

const { params } = useRoute()
const { fetchPlant } = usePlant()
const localePath = useLocalePath()

const plant = await fetchPlant(params.plant)
</script>

<style lang="scss" scoped>
main {
  margin: 20px 0;
}

nav.head-breadcrumb {
  margin-top: 1.5rem;
}
</style>
